Bug 249924 - graphics/ansilove: Use upstream release archive
Summary: graphics/ansilove: Use upstream release archive
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-26 19:16 UTC by daniel.engberg.lists
Modified: 2020-10-02 18:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
Patch for ansilove (1.19 KB, patch)
2020-09-26 19:16 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-09-26 19:16:42 UTC
Created attachment 218337 [details]
Patch for ansilove

Use upstream release archive as suggested in section 5.4.3 (Porter's Handbook).

Compile tested on FreeBSD 13.0-CURRENT #0 r364979 (amd64) (make + make test) with PR#249923
Comment 1 Dmitry Marakasov freebsd_committer 2020-09-29 20:01:10 UTC
Master site change is purposeless, and using github upstream is much more practicel. COMMENT fix merged.
Comment 2 commit-hook freebsd_committer 2020-09-29 20:01:32 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep 29 20:00:37 UTC 2020
New revision: 550614
URL: https://svnweb.freebsd.org/changeset/ports/550614

Log:
  - Fix COMMENT

  PR:		249924
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/graphics/ansilove/Makefile
Comment 3 daniel.engberg.lists 2020-10-01 10:45:51 UTC
No it's not, it avoid GH from changing the archive.
Comment 4 Dmitry Marakasov freebsd_committer 2020-10-02 18:16:25 UTC
(In reply to daniel.engberg.lists from comment #3)
This is deeply hypothetical problem, and if it happens it won't matter whether we'll have to fix 4.4k or 4.5k ports.